<ion-content>
    <ion-fab class='fabmain' vertical="top" horizontal="start" slot="fixed">
        <ion-fab-button class='blancocolor' color="transparent" (click)="backbutton()">
            <ion-icon name="arrow-back-outline"></ion-icon>
        </ion-fab-button>
      </ion-fab>
    <ion-grid class='start'>
        <ion-row>
            <ion-col class='ion-text-center iotitle'>{{ data.categoria + ' / ' + data.nombreCliente }}</ion-col>
        </ion-row>
        <ion-row>
            <ion-col class='ion-text-center'>
                <ion-label class='iotitle'>
                    Lugar
                </ion-label>
            </ion-col>
        </ion-row>
        <br />
        <br />
        <ion-grid>
            <ion-row>
                <ion-col size='3'>
                    <ion-button class="addbutton" color='morado' lines="none" Expand="block" (click)="setnewlugar()">
                        <ion-icon name="add-outline"></ion-icon>
                    </ion-button>
                </ion-col>
                <ion-col size='9'>
                    <ion-item color="transparent" lines="none">
                        <ion-label position="floating">Lugar</ion-label>
                        <ionic-selectable [(ngModel)]="port" [items]="ports" itemValueField="id" itemTextField="name" [canSearch]="true" (onChange)="portChange($event)">
                        </ionic-selectable>
                    </ion-item>
                </ion-col>
            </ion-row>
            <br />
            <br />
            <ion-row>
                <ion-col size='3' class='ion-text-center negritas'>
                    <ion-img src='../../assets/iconos/lugar_1.png'></ion-img>
                </ion-col>
                <ion-col size='9'>
                    <ion-row>
                        <ion-col class='negritas'>{{port.name}}</ion-col>
                    </ion-row>
                    <ion-row>
                        <ion-col>{{port.ubicacion}}</ion-col>
                    </ion-row>
                </ion-col>
            </ion-row>
            <br />
            <br />
            <ion-row>
                <ion-col class='ion-text-center'>
                    <ion-button color='morado' class='btn-morado' (click)="lugarsave()">Guardar</ion-button>
                </ion-col>
            </ion-row>
        </ion-grid>
        <!--<ion-list>
            <ion-item *ngFor="let lugar of lugares" (click)="lugarsel(lugar.id)" [ngClass]="{'pressed': lugarid === lugar.id}">
                <ion-grid>
                    <ion-row>
                        <ion-col size='3' class='ion-text-center negritas'>
                            <ion-icon class='icon-map' name="map-outline"></ion-icon>
                        </ion-col>
                        <ion-col size='9'>
                            <ion-row>
                                <ion-col class='negritas'>{{lugar.nombre}}</ion-col>
                            </ion-row>
                            <ion-row>
                                <ion-col>{{lugar.ubicacion}}</ion-col>
                            </ion-row>

                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
        </ion-list>-->
    </ion-grid>
</ion-content>
<ion-footer>
    <ion-row>
        <ion-col class='ion-text-center'>
            <ion-img class='fl' src='../../assets/logos/flor.png'></ion-img>
        </ion-col>
    </ion-row>
</ion-footer>